lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Upayavira ...@odoko.co.uk>
Subject Re: Upgrading from 3.6 to 4.0
Date Wed, 02 Jan 2013 18:21:27 GMT
Indexes will not work???

I've upgraded a 3.6 index. I used the new Solrconfig from 4.0, and had
to do some hacking to my schema (e.g. add a version field) to make it
work, but once I'd done that, all was fine.

As I understand it, any Lucene instance can understand the format of an
index from one major version below. Thus, my 4.0 system could read the
index of my 3.6 cores, but the one core not updated since 1.4 it
couldn't read (and refused to load the core).

Optimising will cause your index to be rewritten in the new format, as
will waiting for background merges to happen. That's what I understand,
anyway.

Upayavira

On Wed, Jan 2, 2013, at 06:10 PM, Lance Norskog wrote:
> Indexes will not work. I have not heard of an index upgrader. If you run 
> your 3.6 and new 4.0 Solr at the same time, you can upload all the data 
> with a DataImportHandler script using the SolrEntityProcessor.
> 
> How large are your indexes? 4.1 indexes will not match 4.0, so you will 
> have to upload everything twice. You might want to wait, or use a build 
> from the 4.x trunk.
> 
> SolrJ client apps should work with 4.0.
> 
> On 01/02/2013 10:04 AM, Benjamin, Roy wrote:
> > Will the existing 3.6 indexes work with 4.0 binary ?
> >
> > Will 3.6 solrJ clients work with 4.0 servers ?
> >
> >
> > Thanks
> > Roy
> 

Mime
View raw message